%define	name	yiff
%define	libname libY2
%define	version 2.12.2
%define release 2mdk
%define summary	YIFF Sound Systems

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		System/Servers
Source0:	ftp://fox.mit.edu/pub/xsw/%{name}%{version}.tar.bz2
Source1:	yiffconfig.tar.bz2
Source2:	yiffconfig.main.c.bz2
Url: 		http://wolfpack.twu.net/YIFF/index.html
Requires:	gtk >= 1.2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
YIFF is a high performance, stable, and fully  documented sound server for UNIX
games and applications. It employs a network transparent API which allows 
multiple client programs to access sound capabilities in a similar way to how X
clients do graphics.

Run yiffconfig after install to generate a starty script.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically linked 
with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}%{version}
%setup -n %{name}%{version} -T -D -a 1
cd yiffconfig
bzcat %{SOURCE2} > main.c
cd ..
DIRS="stuff libY2 yiff yiffconfig yiffutils"
for DIR in $DIRS; do
	perl -pi -e 's|PREFIX = /usr|PREFIX = \$(RPM_BUILD_ROOT)/usr|g' $DIR/Makefile
done

%build
make linux

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/sounds
make install
# move man from /usr to /usr/share
mv $RPM_BUILD_ROOT/%{_prefix}/man $RPM_BUILD_ROOT/%{_mandir}
install -m 644 yiff/yiffrc $RPM_BUILD_ROOT/%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL INSTALL.manual LICENSE README
%config(noreplace) %{_sysconfdir}/*
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man8/*
%{_datadir}/icons/*
%{_datadir}/sounds/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/*

%changelog
* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.12.2-2mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- added yiffconfig corrections
	- added instruction to description

* Sat Feb 03 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 2.12.2-1mdk
- first Mandrake release
